Skip to main content
Serialize Ionworks Model
curl --request POST \
  --url https://api.ionworks.com/discovery/ionworks_models/serialize \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "options": {}
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Body

application/json

Body for POST /discovery/ionworks_models/serialize.

name
string
required

Ionworks model class name to build and serialize, e.g. 'ECM', 'LumpedSPMR', 'MSMRFullCellModel', 'GITTModel'. Must be one of the names returned under 'ionworks_models' by GET /discovery/pybamm_models.

options
Options · object

Options dict to pass to the model constructor.

Response

Successful Response